Not Secured warning on the URL line

I have a self hosted Jitsi server on my lan which serves also across the internet.
It used to work fine for a few months but today launching a new session with Chrome ends up with “Not Secured” warning but with the “Advanced” button it works(the problem is similar with all participants).
The console finds 2 errors:

  1. An SSL certificate error occurred when fetching the script.
  2. Uncaught TypeError: Cannot read property ‘scrollHeight’ of null
    at content.bundle.js:1
    at content.bundle.js:1
    at content.bundle.js:1
    (anonymous) @ content.bundle.js:1
    (anonymous) @ content.bundle.js:1
    (anonymous) @ content.bundle.js:1

Other suspicious messages:

(TIME) index.html loaded: 201.09999990463257
s:39 DOMException: Failed to register a ServiceWorker for scope (‘https://jitsi2.triplebit.com/’) with script (‘https://jitsi2.triplebit.com/pwa-worker.js’): An SSL certificate error occurred when fetching the script.

The AudioContext was not allowed to start. It must be resumed (or created) after a user gesture on the page. Autoplay policy in Chrome - Chrome Developers

Any idea?
Thx
I. Lesher

The certificate may be expired or needed to restart services to load updated certificate

Your SSL certificate is already expired:

Expiration Date: Thursday, August 5, 2021 at 3:28:08 AM

Renew your Let’s Encrypt certificate.